Creates a new db report

Request Information

URI Parameters :

None.

Body Parameters :

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "80ab3157-131a-4381-ad6c-24e8bc0c91a3",
  "db_report_type_id": "97a930a4-05c9-4fe2-a539-6706585d4502",
  "user_id": "a45d240a-b81e-4a80-b915-78561b1f444b",
  "company_id": "10a1fab8-5594-451f-85c4-92b0a5799253",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "39d712c3-bb7b-41f9-a5f4-9c7f320f145b",
  "id_in_table": "782f1094-2679-40e4-81fd-38f3ad41882e",
  "date_last_update": "2026-11-02T19:53:16.3161971+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-02T19:53:16.3161971+00:00"
}

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9abae349-4441-469f-8702-2e4812046d1c",
  "db_report_type_id": "20a4fe02-b90c-4f19-875e-1dbaa57a8fd5",
  "user_id": "b80d2ffd-853f-41d1-951c-0efaca3da2d5",
  "company_id": "46892f44-d269-4f8b-b893-5208cde94758",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "b4691263-7adc-4cec-8061-3a49f1ba12c6",
  "id_in_table": "32a568b6-2335-4a47-8e50-dc1daef29eb3",
  "date_last_update": "2026-11-02T19:53:16.3161971+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-02T19:53:16.3161971+00:00"
}